## org.apache.bcel.generic
Class ClassGenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.generic.ClassGenException

All Implemented Interfaces:
  Serializable

    public class ClassGenException

extends RuntimeException

Thrown on internal errors. Extends RuntimeException so it hasn't to be declared in the throws clause every time.

Version:
  $Id: ClassGenException.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`ClassGenException()`
`ClassGenException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassGenException

    public ClassGenException()

### ClassGenException

    public ClassGenException(String s)

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.